﻿@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap');

*, html, body {
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Poppins', sans-serif;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(to bottom right, var(--themeColor), var(--themeColorDark), var(--themeColorHover));
}

@keyframes body {
    0% {
        background: linear-gradient(to bottom right, red, var(--themeColorDark), red);
    }

    100% {
        background: linear-gradient(to bottom right, var(--themeColor), var(--themeColorDark), var(--themeColorHover));
    }
}

.container {
    width: 50vw;
    height: 60vh;
    display: grid;
    grid-template-columns: 100%;
    grid-template-areas: "login";
    box-shadow: 0 0 17px 10px rgb(0 0 0 / 30%);
    border-radius: 20px;
    background: white;
    overflow: hidden;
}

.design {
    grid-area: design;
    display: none;
    position: relative;
}

.rotate-45 {
    transform: rotate(-45deg);
}

.design .pill-1 {
    bottom: 20px;
    left: -40px;
    position: absolute;
    width: 80px;
    height: 200px;
    background: linear-gradient(var(--themeColor), var(--themeColorDark), var(--themeColorHover));
    border-radius: 40px;
}

.design .pill-2 {
    top: -100px;
    left: -80px;
    position: absolute;
    height: 480px;
    width: 220px;
    background: linear-gradient(var(--themeColor), var(--themeColorDark), var(--themeColorHover));
    border-radius: 200px;
    border: 30px solid #e2c5e2;
}

.design .pill-3 {
    top: -100px;
    left: 200px;
    position: absolute;
    height: 200px;
    width: 100px;
    background: linear-gradient(var(--themeColor), var(--themeColorDark), var(--themeColorHover));
    border-radius: 70px;
}

.design .pill-4 {
    bottom: -180px;
    left: 220px;
    position: absolute;
    height: 300px;
    width: 120px;
    background: linear-gradient(var(--themeColor), var(--themeColorDark));
    border-radius: 70px;
}

.login {
    grid-area: login;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    background: white;
}

    .login h3.title {
        margin: 15px 0;
    }

.text-input {
    background: #e6e6e6;
    height: 40px;
    display: flex;
    width: 60%;
    align-items: center;
    border-radius: 10px;
    padding: 0 15px;
    margin: 5px 0;
}

    .text-input input {
        background: none;
        border: none;
        outline: none;
        width: 100%;
        height: 100%;
        margin-left: 10px;
    }

    .text-input i {
        color: #686868;
    }

::placeholder {
    color: #9a9a9a;
}

.login-btn {
    width: 68%;
    padding: 10px;
    color: white;
    background: linear-gradient(to right, var(--themeColor), var(--themeColorDark), var(--themeColorHover)) var(--x, 0)/ 110%;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    margin-top: 10px;

    transition: 0.5s;
}

    .login-btn:hover {
        --x: 100%;
    }

.register-btn {
    width: 68%;
    padding: 10px;
    color: white;
    background: linear-gradient(to right, #555, var(--themeColorDark), #444) var(--x, 0)/ 200%;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    margin-top: 10px;
    text-align: center;
    transition: 0.5s;
}

    .register-btn:hover {
        --x: 100%;
    }

a {
    font-size: 12px;
    color: #9a9a9a;
    cursor: pointer;
    user-select: none;
    text-decoration: none;
}

    a.forgot {
        margin-top: 15px;
    }

.create {
    display: flex;
    align-items: center;
    position: absolute;
    bottom: 30px;
}

    .create i {
        color: #9a9a9a;
        margin-left: 10px;
    }

.savt {
    font-weight: 600;
}

.errorText{
    color: #fff;
    transition: all 1s ease-in-out;
}
@keyframes errorText {
    0% {
        color: red;
    }

    100% {
        color: #fff;
    }
}

/*--- RESPONSIVE START ---*/
@media (min-width: 768px) {
    .container {
        grid-template-columns: 50% 50%;
        grid-template-areas: "design login";
    }

    .design {
        display: block;
    }
}

@media all and (max-width: 450px) and (min-width: 50px) {
    .container {
        width: 65vw;
    }
}
/*--- RESPONSIVE END ---*/
